/*
    tlb.h, Copyright  (c) by Eckart Zitzler,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.
 
    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.
 
    For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
    This software is provided under the terms of the GNU General Public Licence.
 
    A full copy of the GNU GPL is provided in the file COPYING found in the 
    development root of Topsy.
*/
/*
	
	File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/Memory/mips/tlb.h,v $
 	Author(s):             Eckart Zitzler
 	Affiliation:           ETH Zuerich, TIK
 	Version:               $Revision: 2922 $
 	Creation Date:         
 	Last Date of Change:   $Date: 2007-03-19 17:48:52 +0100 (Mon, 19 Mär 2007) $      by: $Author: baderma $
	
	
*/

#ifndef _TLB_H_
#define _TLB_H_

#include "Topsy.h"

void setR3kTLBEntry(Register TLBEntryLow, Register TLBEntryHigh, Register Index);
void setR3kTLBRandom(Register TLBEntryLow, Register TLBEntryHigh);
Register probeR3kTLBEntry(Register TLBEntryHigh);
Register getR3kHITLBEntry(void);
Register getR3kLOTLBEntry(void);
void setR3kHITLBEntry(Register TLBEntryHigh);



void setR4kTLBEntry(Register TLBEntryLow0, Register TLBEntryLo1, Register TLBEntryHigh, Register Index);
void setR4kTLBWired(Register TLBWired);

#endif

